Bug 246491

Summary: multimedia/lives: update to 3.2.0
Product: Ports & Packages Reporter: Kurt Jaeger <pi>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Only Me CC: fernape, pi, vvd
Priority: --- Keywords: buildisok
Version: Latest   
Hardware: Any   
OS: Any   
URL: http://lives-video.com/releases/CHANGELOG-3.0.2
Attachments:
Description Flags
patch
none
Update to 3.0.2 + refactoring
none
Update to 3.2.0
none
Update to 3.2.0
none
Update to 3.2.0
none
Update to 3.2.0
none
Fix USES vvd: maintainer-approval+

Description Kurt Jaeger freebsd_committer 2020-05-15 18:06:03 UTC
Created attachment 214533 [details]
patch

Testbuilds ongoing, but look promising.
Switch to ImageMagick7

Needs run-tests of real users that can test if this really works.
Comment 1 Kurt Jaeger freebsd_committer 2020-05-15 19:08:42 UTC
testbuilds fine on 13-amd, 13-i386, 12.1-amd, 11.3-amd
Comment 2 Automation User 2020-05-15 20:03:30 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/146532907
Comment 3 Fernando Apesteguía freebsd_committer 2020-06-23 10:46:07 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 4 VVD 2020-08-26 12:06:31 UTC
Created attachment 217538 [details]
Update to 3.0.2 + refactoring

Why did you remove my patches for turn off check alsa and pulse?

Also:
* option ImageMagick 6 or 7: there are several ports with mandatory dependency from ImageMagick6 - 6 and 7 can't be installed in same system;
* this version need patch for ignore check system libweed - it installed with lives, but if you try to rebuild lives on same system, then it find libweed and skip build - as result install process hangs with can't find files with mask "*weed*" (check pkg-plist for full list);
* removed dependency from multimedia/transcode, check this: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=248922;
* replaced *_CONFIGURE_OFF with *_CONFIGURE_ENABLE.
Comment 5 VVD 2020-08-26 17:14:35 UTC
Added issue with our patches in upstream's bugtracker:
https://github.com/salsaman/LiVES/issues/11
Comment 6 Kurt Jaeger freebsd_committer 2020-08-26 17:29:17 UTC
Testbuild failed with a strange effect.

PROJECTM was enabled, but:

===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: lib/lives/plugins/effects/realtime/weed/projectM.so

In pkg-plist:

%%PROJECTM%%lib/lives/plugins/effects/realtime/weed/projectM.so

So something failed ? If works if PROJECTM is disabled.

Full build log see

https://people.freebsd.org/~pi/logs/multimedia__lives-cur-1598454200.txt
Comment 7 VVD 2020-08-27 00:24:05 UTC
(In reply to Kurt Jaeger from comment #6)
Next release is soon.
You can help with discussion, prepare patches and test upstream: https://github.com/salsaman/LiVES/issues/11
Most of patches was already commited to upstream git repo.
Comment 9 Kurt Jaeger freebsd_committer 2020-11-11 06:41:27 UTC
poudriere testbuild fail with:

USE_GHOSTSCRIPT is unsupported, please use USES=ghostscript

I'll investigate if I find the time, you are probably faster 8-}
Comment 10 VVD 2020-11-11 15:07:16 UTC
Created attachment 219557 [details]
Update to 3.2.0

(In reply to Kurt Jaeger from comment #9)
Like this?
Comment 11 Kurt Jaeger freebsd_committer 2020-11-12 05:31:04 UTC
It fails to build in poudriere, for example on 12.2:

https://people.freebsd.org/~pi/logs/multimedia__lives-122-1605129928.txt

Can you have a look ?
Comment 12 VVD 2020-11-12 16:03:37 UTC
(In reply to Kurt Jaeger from comment #11)
Ok, in progress…
Comment 13 VVD 2020-11-13 22:38:56 UTC
Created attachment 219656 [details]
Update to 3.2.0

Added:
JACK_BROKEN= Doesn't build with jack1 (audio/jack), support jack2 only:\
             https://github.com/salsaman/LiVES/issues/24\
             https://github.com/jackaudio/jackaudio.github.com/wiki/Differences-between-jack1-and-jack2

JACK isn't a default option.

After "we" update audio/jack to jack2 or add new port audio/jack2, I'll remove JACK_BROKEN.
Comment 14 VVD 2020-11-14 04:04:50 UTC
Created attachment 219668 [details]
Update to 3.2.0

Upstream added support of jack1 - I added this as a patch in port.
JACK option is on by default now.
Comment 15 Kurt Jaeger freebsd_committer 2020-11-14 10:26:27 UTC
Many files listed in DOC_FILES no longer seem to be available, so install fails. I'm pruning it right now, but was the DOCS option ever tested ?
Comment 16 Kurt Jaeger freebsd_committer 2020-11-14 10:57:27 UTC
Committed, thanks!
Comment 17 commit-hook freebsd_committer 2020-11-14 10:57:40 UTC
A commit references this bug:

Author: pi
Date: Sat Nov 14 10:57:11 UTC 2020
New revision: 555106
URL: https://svnweb.freebsd.org/changeset/ports/555106

Log:
  multimedia/lives: update 2.10.2 -> 3.2.0

  - major update
  - submitter becomes maintainer

  PR:		246491
  Submitted by:	vvd@unislabs.com
  Relnotes:	http://lives-video.com/releases/CHANGELOG-3.2.0

Changes:
  head/multimedia/lives/Makefile
  head/multimedia/lives/distinfo
  head/multimedia/lives/files/patch-Makefile.am
  head/multimedia/lives/files/patch-configure.ac
  head/multimedia/lives/files/patch-jack1
  head/multimedia/lives/files/patch-lives-plugins_weed-plugins_Makefile.am
  head/multimedia/lives/files/patch-lives-plugins_weed-plugins_gdk_Makefile.am
  head/multimedia/lives/pkg-plist
Comment 18 commit-hook freebsd_committer 2020-11-14 12:54:51 UTC
A commit references this bug:

Author: pi
Date: Sat Nov 14 12:54:02 UTC 2020
New revision: 555111
URL: https://svnweb.freebsd.org/changeset/ports/555111

Log:
  multimedia/lives: fix DEFAULT options

  - FreshPorts sanity checking found this

  PR:		246491
  Submitted by:	dan@langille.org

Changes:
  head/multimedia/lives/Makefile
Comment 19 VVD 2020-11-14 14:26:26 UTC
(In reply to commit-hook from comment #17)
> USES=           autoreconf compiler:c++11-lib gettext-runtime gettext-tools \                   gl gnome libtool localbase pathfix perl5 pkgconfig python \
Needed new line after "\".
/!\ ERRORS /!\

Unknown USES=

*** Error code 1
Comment 20 VVD 2020-11-14 14:28:57 UTC
(In reply to Kurt Jaeger from comment #15)
> Many files listed in DOC_FILES no longer seem to be available, so install fails. I'm pruning it right now, but was the DOCS option ever tested ?
Very strange! Ofc I tested it during development last few months - build it form git, but didn't tested released version… I think upstream removed several these files.
Thanks for fix.
Comment 21 commit-hook freebsd_committer 2020-11-14 14:32:04 UTC
A commit references this bug:

Author: pi
Date: Sat Nov 14 14:31:49 UTC 2020
New revision: 555114
URL: https://svnweb.freebsd.org/changeset/ports/555114

Log:
  multimedia/lives: fix newline in USES

  PR:		246491
  Pointy hat to:	pi

Changes:
  head/multimedia/lives/Makefile
Comment 22 VVD 2020-11-14 14:32:55 UTC
Created attachment 219679 [details]
Fix USES